### Method

# Gtk IconViewget_selection_mode

deprecated: 4.10

#### Declaration [src]

    GtkSelectionMode
    gtk_icon_view_get_selection_mode (
      GtkIconView* icon_view
    )

#### Description [src]

Gets the selection mode of the `icon_view`.

Deprecated since: 4.10

Use `GtkGridView` instead.

Gets property | `Gtk.IconView:selection-mode`

#### Return value

Type: `GtkSelectionMode`

The current selection mode.